#
# spec file for package snd (Version 5.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel glib glib-devel gtk gtk-devel guile guile-gtk ladspa xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel guile guile-gtk gzip kbd ladspa less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         snd
Summary:      Powerful sound file editor
Version:      5.2
Release:      37
Copyright:	The Board of Trustees of Stanford University
Group:		Applications/Sound
Requires:	ladspa
# Source:		snd-%{version}.tar.bz2
Source:		snd-5.2.tar.bz2
Patch:		snd.dif
URL:		http://ccrma-www.stanford.edu/CCRMA/Software/snd/snd.html
BuildRoot:	/tmp/snd-%{version}-root

%description
Snd is a sound editor modelled loosely after Emacs and an old, sorely-missed
PDP-10 sound editor named Dpysnd. It can accomodate any number of sounds
each with any number of channels and can be customized and extended
using guile and guile-gtk.

Authors:
--------
    Bill Schottstaedt <bil@ccrma.stanford.edu>

SuSE series: snd

%prep
%setup -n snd-5
# %setup -n cvs-snd
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --with-gtk --with-alsa --with-ladspa
make GUILE_GTK_LIBS=-lguilegtk-1.2 
make LIBS=-lm sndplay sndrecord sndinfo sndsine audinfo

%install
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
for i in snd sndplay sndrecord sndinfo sndsine audinfo ; do
  install -c -s -m 755 $i $RPM_BUILD_ROOT%{_bindir}
done

%clean
test "$RPM_BUILD_ROOT" != "/" -a -d "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README.Snd HISTORY.Snd Snd.ad COPYING TODO.Snd
%doc *.html
%doc *.png
%doc *.scm
%{_bindir}/*

%changelog -n snd
* Tue Sep 04 2001 - tiwai@suse.de
- updated to snd-5.2.
  built from the 5.2 tarball.
* Mon Aug 13 2001 - tiwai@suse.de
- updated to snd-5.1 from cvs 20010813.
* Tue Jul 10 2001 - tiwai@suse.de
- updated to snd-5.
* Mon Mar 26 2001 - tiwai@suse.de
- Updated to snd-4.12.
* Thu Mar 08 2001 - tiwai@suse.de
- Fixed compile on ia64.
* Mon Feb 05 2001 - tiwai@suse.de
- Updated to snd-4.10.
* Wed Dec 13 2000 - tiwai@suse.de
- Updated to snd-4.8.
* Tue Nov 28 2000 - tiwai@suse.de
- Compile snd utilities.
- Fixed files list.
- Added guile-gtk in neededforbuild.
- Support ALSA also on ppc.
* Thu Nov 02 2000 - tiwai@suse.de
- Updated to snd-4.7.
- Fixed spec file for long package-name support.
* Tue Sep 26 2000 - tiwai@suse.de
- Update to snd-4.6.
- Compile with gtk instead of lesstif.
* Fri Sep 01 2000 - tiwai@suse.de
- Compile fix for alpha.
* Mon Jul 24 2000 - tiwai@suse.de
- snd ver.4 - compiled with motif and ALSA (for i386) and OSS (for PPC)
